Modify

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#6166 closed defect (fixed)

Trac Error TracError: The Trac Environment needs to be upgraded.

Reported by: anonymous Owned by: martin_s
Priority: normal Component: WatchlistPlugin
Severity: normal Keywords:
Cc: Trac Release: 0.11

Description

Watchlist version 0.4.6994.

Receive the following message:

TracError: The Trac Environment needs to be upgraded.

when trying to view Trac site in a browser. Executing trac-admin \trac\mysite upgrade does not fix the problem. trac-admin \trac\mysite upgrade states "Upgrade done." every time it is run.

Platform is Trac 0.11.5 on Python 2.6.4 on Windows 2003.

Attachments (0)

Change History (3)

comment:1 Changed 5 years ago by martin_s

  • Status changed from new to assigned

Thank you for reporting this. Please provide further information:

  • Which database backend do you use? The default is sqlite.
  • Did you updated from a previous version of this plugin or did you installed it for the first time?

comment:2 Changed 5 years ago by martin_s

  • Resolution set to fixed
  • Status changed from assigned to closed

(In [7094]) tracwatchlist/plugin.py:: Added DB upgrade log messages. Recreate cursor after failed SQL command to avoid abort. This should fix #6166.

comment:3 Changed 5 years ago by martin_s

Could you please test revision r7094 (i.e. version 0.4.7094). The issue should be fixed. Please reopen this ticket if you still have problems. Thanks.

Add Comment

Modify Ticket

Action
as closed The owner will remain martin_s.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.